1

In a Drupal 7 project I'm working on I need to install Drush in order to perform a variety of operations. The only trouble I see is that the latest Drush installer for windows only goes up to version 6. I can install Drush 7 using cygwin, but I want to verify that I'm not missing something. It seems logical that the Drush versions might be synced up with the Drupal version, but perhaps there is some cross version compatibility or something else I'm missing.

If I want to use drush commands on a drupal 7 site do I need to use Drush version 7?

If so is cygwin probably the best way to get Drush 7 up and running on a windows 8 machine?

1 Answer 1

3

Drush and what version(s) of Drupal are supported per version of Drush are clearly explained here:

http://docs.drush.org/en/master/install/

1
  • 2
    That link might be out-of-date? There's a nice table of Drush versions and their compatibility with Drupal versions here now:- docs.drush.org/en/master/install
    – Rod
    Commented Jun 21, 2016 at 9:56

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.